/*
 * Copyright 2023 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.audit;

import java.io.FileInputStream;
import java.io.IOException;

import dk.vajhoej.record.LengthProvider2;
import dk.vajhoej.record.RecordException;
import dk.vajhoej.record.StructReaderStream;

public class AuditFile {
	private LengthProvider2 lenpvd;
	private StructReaderStream srs;
	public AuditFile(String fnm) throws IOException {
		lenpvd = new AuditRecordProvider();
		srs = new StructReaderStream(new FileInputStream(fnm), lenpvd.getMaxLength(), 1000);
	}
	public AuditRecord read() throws RecordException, IOException {
		return srs.read(AuditRecord.class, lenpvd);
	}
	public boolean more() throws IOException {
		return srs.more();
	}
	public void close() throws IOException {
		srs.close();
	}
}
