/*
 * Copyright 2023 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.audit;

import dk.vajhoej.record.FieldType;
import dk.vajhoej.record.Struct;
import dk.vajhoej.record.StructField;

@Struct
public class AuditHeader {
	@StructField(n=0, type=FieldType.INT2)
	private int type;
	@StructField(n=1, type=FieldType.INT2)
	private int subType;
	@StructField(n=2, type=FieldType.INT2)
	private int flags;
	@StructField(n=3, type=FieldType.INT2)
	private int count;
	@StructField(n=4, type=FieldType.INT2)
	private int size;
	@StructField(n=5, type=FieldType.INT1)
	private int unused1;
	@StructField(n=6, type=FieldType.INT1)
	private int version;
	@StructField(n=7, type=FieldType.INT2)
	private int unused2;
	@StructField(n=8, type=FieldType.INT2)
	private int unused3;
	@StructField(n=9, type=FieldType.INT2)
	private int unused4;
	@StructField(n=10, type=FieldType.INT2)
	private int facility;
	public int getType() {
		return type;
	}
	public void setType(int type) {
		this.type = type;
	}
	public int getSubType() {
		return subType;
	}
	public void setSubType(int subType) {
		this.subType = subType;
	}
	public int getFlags() {
		return flags;
	}
	public void setFlags(int flags) {
		this.flags = flags;
	}
	public int getCount() {
		return count;
	}
	public void setCount(int count) {
		this.count = count;
	}
	public int getSize() {
		return size;
	}
	public void setSize(int size) {
		this.size = size;
	}
	public int getUnused1() {
		return unused1;
	}
	public void setUnused1(int unused1) {
		this.unused1 = unused1;
	}
	public int getVersion() {
		return version;
	}
	public void setVersion(int version) {
		this.version = version;
	}
	public int getUnused2() {
		return unused2;
	}
	public void setUnused2(int unused2) {
		this.unused2 = unused2;
	}
	public int getUnused3() {
		return unused3;
	}
	public void setUnused3(int unused3) {
		this.unused3 = unused3;
	}
	public int getUnused4() {
		return unused4;
	}
	public void setUnused4(int unused4) {
		this.unused4 = unused4;
	}
	public int getFacility() {
		return facility;
	}
	public void setFacility(int facility) {
		this.facility = facility;
	}
}
