/*
 * Copyright 2023 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.audit;

import dk.vajhoej.record.FieldType;
import dk.vajhoej.record.Struct;
import dk.vajhoej.record.StructField;

@Struct
public class AuditPacketIdNewValue extends AuditPacket {
	@StructField(n=2,type=FieldType.INT4)
	private int idNewValue;
	public int getIdNewValue() {
		return idNewValue;
	}
	public void setIdNewValue(int idNewValue) {
		this.idNewValue = idNewValue;
	}
	public String getKey() {
		return "IdNewValue";
	}
	public String getValue() {
		if(idNewValue < 0) {
			return String.format("%08X", idNewValue);
		} else {
			return String.format("[%s,%s]", Integer.toOctalString(idNewValue / 65536), Integer.toOctalString(idNewValue % 65536));
		}
	}
}
