/*
 * Copyright 2023 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.audit;

import dk.vajhoej.record.InfoProvider;
import dk.vajhoej.record.LengthProvider2;

public class AuditRecordProvider implements LengthProvider2 {
	public int getLength(Object o, int n) {
		if(n == 2) {
			if(System.getProperty("os.name").equals("OpenVMS")) {
				return 1; // VMS VAR files work funny in Java
			}
			return System.getProperty("line.separator").length();
		} else {
			return -1; // ignore
		}
	}
	public int getMaxLength() {
		return 32767; // VMS max variable length record
	}
	public int getElements(Object o, int n) {
		if (n == 1) {
			return ((AuditRecord)o).getHeader().getCount();
		} else {
			return -1; // ignore
		}
	}
	public InfoProvider getLengthProvider(Object o, int n) {
		if (n == 1) {
			return new AuditPacketProvider(); // new provider for packets
		} else {
			return null; // ignore
		}
	}
}
