/*
 * Copyright 2023 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.audit;

public class AuditType {
    public static final int NSA$C_MSG_SERVER = 1;
    public static final int NSA$C_MSG_AUDIT = 2;
    public static final int NSA$C_MSG_BREAKIN = 3;
    public static final int NSA$C_MSG_INSTALL = 4;
    public static final int NSA$C_MSG_LOGFAIL = 5;
    public static final int NSA$C_MSG_LOGIN = 6;
    public static final int NSA$C_MSG_LOGOUT = 7;
    public static final int NSA$C_MSG_MOUNT = 8;
    public static final int NSA$C_MSG_NETPROXY = 9;
    public static final int NSA$C_MSG_ACCESS = 10;
    public static final int NSA$C_MSG_SYSUAF = 11;
    public static final int NSA$C_MSG_RIGHTSDB = 12;
    public static final int NSA$C_MSG_CUSTOMER = 13;
    public static final int NSA$C_MSG_CSS = 14;
    public static final int NSA$C_MSG_LP = 15;
    public static final int NSA$C_MSG_PRVAUD = 16;
    public static final int NSA$C_MSG_SYSTIME = 21;
    public static final int NSA$C_MSG_SYSGEN = 22;
    public static final int NSA$C_MSG_OBJ_CREATE = 23;
    public static final int NSA$C_MSG_OBJ_DELETE = 24;
    public static final int NSA$C_MSG_OBJ_DEACCESS = 25;
    public static final int NSA$C_MSG_OBJ_ACCESS = 26;
    public static final int NSA$C_MSG_CONNECTION = 27;
    public static final int NSA$C_MSG_RESERVED_5 = 28;
    public static final int NSA$C_MSG_NCP = 29;
    public static final int NSA$C_MSG_PROCESS = 30;
    public static final int NSA$C_MSG_OBJECT_SERVICE = 31;
    public static final int NSA$C_MSG_AUTHENTICATE = 32;
    public static String asString(int typ) {
    	switch(typ) {
			case NSA$C_MSG_AUDIT: return "Audit";
			case NSA$C_MSG_BREAKIN: return "Breakin";
    		case NSA$C_MSG_LOGFAIL: return "Login failure";
    		case NSA$C_MSG_LOGIN: return "Login";
    		case NSA$C_MSG_LOGOUT: return "Logout";
    		case NSA$C_MSG_NETPROXY: return "NetProxy";
    		case NSA$C_MSG_SYSUAF: return "SYSUAF";
    		case NSA$C_MSG_RIGHTSDB: return "Rights database";
    		default: return "Other";
    	}
    }
}
