/*
 * Copyright 2023 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.audit.db.raw;

import dk.vajhoej.vms.audit.AuditPacket;
import dk.vajhoej.vms.audit.AuditRecord;
import dk.vajhoej.vms.audit.AuditSubType;
import dk.vajhoej.vms.audit.AuditType;

public class AuditDbFactory {
	public static AuditDbRecord convert(AuditRecord ar, AuditDbIdGen idgen) {
		AuditDbRecord res = new AuditDbRecord();
		int typ = ar.getHeader().getType();
		int subtyp = ar.getHeader().getSubType();
		res.setId(idgen.getRecordId());
		res.setType(AuditType.asString(typ));
		res.setSubType(AuditSubType.asString(typ, subtyp));
		for(AuditPacket ap : ar.getPackets()) {
			AuditDbPacket p = new AuditDbPacket();
			p.setId(idgen.getPacketId());
			p.setRecordId(res.getId());
			p.setKey(ap.getKey());
			p.setValue(ap.getValue());
			res.getPackets().add(p);
		}
		return res;
	}
}
