/*
 * Copyright 2023 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.audit.db.struct;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.Table;

import dk.vajhoej.vms.audit.Util;

@Entity
@Table(name="auditevent")
@Inheritance(strategy=InheritanceType.JOINED)
public class AuditDbEvent {
	private int id;
	private String type;
	private String subType;
	private Date timeStamp;
	public AuditDbEvent() {
	}
	public AuditDbEvent(int id, String type, String subType, Date timeStamp) {
		this.id = id;
		this.type = type;
		this.subType = subType;
		this.timeStamp = timeStamp;
	}
	@Id
	@Column(name="aeid")
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	@Column(name="aetype")
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	@Column(name="aesubtype")
	public String getSubType() {
		return subType;
	}
	public void setSubType(String subType) {
		this.subType = subType;
	}
	@Column(name="aetimestamp")
	public Date getTimeStamp() {
		return timeStamp;
	}
	public void setTimeStamp(Date timeStamp) {
		this.timeStamp = timeStamp;
	}
	public String toString() {
		return String.format("(%s,%s,%s)", type, subType, Util.t2s(timeStamp));
	}
}
