/*
 * Copyright 2023 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.audit.db.struct;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Table;

import java.util.Date;

@Entity
@Table(name="auditeventlocal")
@PrimaryKeyJoinColumn(name="aeid")
public class AuditDbEventLocal extends AuditDbEvent {
	private String pid;
	private String username;
	private String system;
	public AuditDbEventLocal() {
		super();
	}
	public AuditDbEventLocal(int id, String type, String subType, Date timeStamp,
			                 String pid, String username, String system) {
		super(id, type, subType, timeStamp);
		this.pid = pid;
		this.username = username;
		this.system = system;
	}
	@Column(name="aelpid")
	public String getPid() {
		return pid;
	}
	public void setPid(String pid) {
		this.pid = pid;
	}
	@Column(name="aelusername")
	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	@Column(name="aelsystem")
	public String getSystem() {
		return system;
	}
	public void setSystem(String system) {
		this.system = system;
	}
	public String toString() {
		return String.format("%s - (%s,%s,%s)", super.toString(), pid, username, system);
	}
}
