/*
 * Copyright 2023 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.audit.db.struct;

import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.OneToMany;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Table;

@Entity
@Table(name="auditeventlocalfieldupdates")
@PrimaryKeyJoinColumn(name="aeid")
public class AuditDbEventLocalFieldUpdates extends AuditDbEventLocal {
	private String source;
	private List<AuditDbFieldUpdate> updates;
	public AuditDbEventLocalFieldUpdates() {
		super();
	}
	public AuditDbEventLocalFieldUpdates(int id, String type, String subType, Date timeStamp,
			                             String pid, String username, String system,
			                             String source, List<AuditDbFieldUpdate> updates) {
		super(id, type, subType, timeStamp, pid, username, system);
		this.source = source;
		this.updates = updates;
	}
	@Column(name="aelfusource")
	public String getSource() {
		return source;
	}
	public void setSource(String source) {
		this.source = source;
	}
    @OneToMany(mappedBy="eventId",fetch=FetchType.EAGER,cascade=CascadeType.ALL)
	public List<AuditDbFieldUpdate> getUpdates() {
		return updates;
	}
	public void setUpdates(List<AuditDbFieldUpdate> updates) {
		this.updates = updates;
	}
	public String toString() {
		return String.format("%s - (%s) - %s", super.toString(), source, updates);
	}
}
