/*
 * Copyright 2023 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.audit.db.struct;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Table;

@Entity
@Table(name="auditeventlocalid")
@PrimaryKeyJoinColumn(name="aeid")
public class AuditDbEventLocalId extends AuditDbEventLocal {
	private String idName;
	private String idValue;
	public AuditDbEventLocalId() {
		super();
	}
	public AuditDbEventLocalId(int id, String type, String subType, Date timeStamp,
			                   String pid, String username, String system,
			                   String idName, String idValue) {
		super(id, type, subType, timeStamp, pid, username, system);
		this.idName = idName;
		this.idValue = idValue;
	}
	@Column(name="aeliidname")
	public String getIdName() {
		return idName;
	}
	public void setIdName(String idName) {
		this.idName = idName;
	}
	@Column(name="aeliidvalue")
	public String getIdValue() {
		return idValue;
	}
	public void setIdValue(String idValue) {
		this.idValue = idValue;
	}
	public String toString() {
		return String.format("%s - (%s,%s)", super.toString(), idName, idValue);
	}
}
