/*
 * Copyright 2023 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.audit.db.struct;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Table;

@Entity
@Table(name="auditeventlocalremote")
@PrimaryKeyJoinColumn(name="aeid")
public class AuditDbEventLocalRemote extends AuditDbEventLocal {
	private String remoteUsername;
	private String remoteSystem;
	private String terminal;
	public AuditDbEventLocalRemote() {
		super();
	}
	public AuditDbEventLocalRemote(int id, String type, String subType, Date timeStamp,
			                       String pid, String username, String system,
			                       String remoteUsername, String remoteSystem, String terminal) {
		super(id, type, subType, timeStamp, pid, username, system);
		this.remoteUsername = remoteUsername;
		this.remoteSystem = remoteSystem;
		this.terminal = terminal;
	}
	@Column(name="aelrremoteusername")
	public String getRemoteUsername() {
		return remoteUsername;
	}
	public void setRemoteUsername(String remoteUsername) {
		this.remoteUsername = remoteUsername;
	}
	@Column(name="aelrremotesystem")
	public String getRemoteSystem() {
		return remoteSystem;
	}
	public void setRemoteSystem(String remoteSystem) {
		this.remoteSystem = remoteSystem;
	}
	@Column(name="aelrterminal")
	public String getTerminal() {
		return terminal;
	}
	public void setTerminal(String terminal) {
		this.terminal = terminal;
	}
	public String toString() {
		return String.format("%s - (%s,%s,%s)", super.toString(), remoteUsername, remoteSystem, terminal);
	}
}
