/*
 * Copyright 2023 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.audit.db.struct;

import javax.persistence.EntityManager;
import javax.persistence.Query;

public class AuditDbIdGenSeq implements AuditDbIdGen {
	private int eventId;
	private int updateId;
	public AuditDbIdGenSeq() {
		this(0, 0);
	}
	public AuditDbIdGenSeq(int eventId, int updateId) {
		this.eventId = eventId;
		this.updateId = updateId;
	}
	public AuditDbIdGenSeq(EntityManager em) {
		Query qe = em.createQuery("SELECT MAX(o.id) FROM AuditDbEvent AS o");
		Number maxeid = (Number)qe.getSingleResult();
		if(maxeid != null) {
			eventId = maxeid.intValue();
		} else {
			eventId = 0;
		}
		Query qfu = em.createQuery("SELECT MAX(o.id) FROM AuditDbFieldUpdate AS o");
		Number maxfuid = (Number)qfu.getSingleResult();
		if(maxfuid != null) {
			updateId = maxfuid.intValue();
		} else {
			updateId = 0;
		}
	}
	public int getEventId() {
		eventId++;
		return eventId;
	}
	public int getUpdateId() {
		updateId++;
		return updateId;
	}
}
