/*
 * Copyright 2023 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.util;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JasperCompileManager;
import net.sf.jasperreports.engine.JasperExportManager;
import net.sf.jasperreports.engine.JasperFillManager;
import net.sf.jasperreports.engine.JasperPrint;
import net.sf.jasperreports.engine.JasperReport;

public class RepGen {
	public static void main(String[] args) {
	    try {
            if(args.length >= 6) {
                Class.forName(args[0]);
                Connection con = DriverManager.getConnection(args[1], args[2], args[3]);
                JasperReport rep = JasperCompileManager.compileReport(args[4]);
                JasperPrint prt = JasperFillManager.fillReport(rep, null, con);
                JasperExportManager.exportReportToPdfFile(prt, args[5]);
                con.close();
            } else {
                System.out.printf("Usage: java -cp ... %s <driver-class> <connection-url> <connection-username> <connection-password> <report-template> <output-pdf>\n", RepGen.class.getName());
            }
        } catch(Throwable ex) {
            ex.printStackTrace();
        }
	}
}
